%define version_major 3
%define version_minor 5
%define version_full %{version_major}.%{version_minor}
%define version_brief %{version_major}.%{version_minor}

%define lib_name %{?mklibname:%mklibname %{name} %{version_brief}}%{!?mklibname:lib%{name}%{version_brief}}

%define py_ver %(python -c 'import sys;print(sys.version[0:3])')
%define py_libdir %(python -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')
%define py_execlibdir %(python -c 'from distutils import sysconfig; print sysconfig.get_python_lib(True)')

Summary:  Python Language Mapping for omniORB
Name:     omniORBpy
Version:  %{version_full}
Release:  1%{?dist}
License:  GPL / LGPL
Group:    System/Libraries
Source0:  %{name}-%{version}.tar.gz
URL:      http://omniorb.sourceforge.net/
Prefix:   /usr
Requires: /sbin/ldconfig
Requires: libomniorb = 4.1.5
BuildRequires: omniorb-devel python
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a Python language mapping for the omniORB CORBA
Object Request Broker (ORB).

%package -n %{lib_name}
Summary:   Python Language Mapping for omniORB
Group:     System/Libraries
Requires:  libomniorb
Provides:  libomniorbpy = %{version}-%{release} %{name} = %{version}-%{release}
Conflicts: libomniorbpy < %{version}-%{release}
Obsoletes: omniORBpy libomniorbpy2

%description -n %{lib_name}
%{name} is a Python language mapping for the omniORB CORBA
Object Request Broker (ORB).

# "standard" part of the bundle

%package -n %{name}-standard
Summary:  Files to provide standard top-level CORBA module for %{name}
Group:    Development/Python
Provides: omniorbpy-standard = %{version}-%{release} %{name}-standard = %{version}-%{release}

%description -n %{name}-standard
The CORBA to Python mapping standard requires top-level CORBA and
PortableServer modules. This provides those standard modules for
%{name}. It will clash with similar packages for other Python ORBs.

# devel part of the bundle

%package -n %{name}-devel
Summary:  Header files and libraries needed for %{name} development
Group:    Development/Python
Requires: %{name} = %{version}-%{release} omniORB-devel
Provides: omniorbpy-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n %{name}-devel
The header files and libraries needed for developing programs using %{name}.

# docs and examples are in a separate package

%package -n %{name}-doc
Summary:  Documentation needed for %{name} development
Group:    Development/Python

%description -n %{name}-doc
Developer documentation and examples.


%prep 

%setup -n %{name}-%{version}

# Needs to know where omniORB was installed if it is not in /usr.
# If necessary, use the configure option --with-omniorb=%{prefix}
%{?configure:%configure}%{!?configure:./configure --prefix=%{_prefix} --libdir=%{_libdir}} --with-openssl=%{_prefix}

%build
# We abuse the CPPFLAGS to pass optimisation options through.
%{?make:%make}%{!?make:make IMPORT_CPPFLAGS+="$RPM_OPT_FLAGS"} all

%install
[ -z %{buildroot} ] || rm -rf %{buildroot}
mkdir %{buildroot}

%if "%{_vendor}" == "suse"
%{?makeinstall:%makeinstall}%{!?makeinstall:make DESTDIR=%{buildroot} install}
%else
%{?make:%make}%{!?make:make} install DESTDIR=%{buildroot}
%endif

# omit omniidl_be/__init__.py because it is a duplicate of the file
# already provided by omniORB.
rm -rf %{buildroot}%{prefix}/lib*/python%{py_ver}/site-packages/omniidl_be/__init__.py*


%clean
rm -rf %{buildroot}

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig


# main package includes libraries and servers
%files -n %{lib_name}
%defattr (-,root,root)
%doc COPYING.LIB
#%doc bugfixes*
%{py_execlibdir}/_omni*.so*
%{py_libdir}/omniORB

%files standard
%defattr(-,root,root)
%{py_libdir}/*.py*
%{py_libdir}/omniORB.pth
%{py_libdir}/CosNaming
%{py_libdir}/CosNaming__POA

%files devel
%defattr(-,root,root)
%doc README* ReleaseNotes* update.log
%{_includedir}/omniORBpy.h
%{_includedir}/omniORB4/pydistdate.hh
%{py_libdir}/omniidl_be/python.py*

%files doc
%defattr(-,root,root)
%doc doc/* 

%changelog
* Tue Nov 23 2010 Thomas Lockhart <lockhart@fourpalms.org> 3.4-1
- Support python library locations for 64-bit installations
- Integrate additional features from omniORBpy_new.spec from Dirk Kaar

* Tue Apr 29 2008 Thomas Lockhart <lockhart@fourpalms.org> 3.2-2
- Define py_libdir to determine the location of python libraries
- Define py_execlibdir to determine the location of shared libraries

* Fri Dec 16 2005 Thomas Lockhart <lockhart@fourpalms.org> 2.6-3
- Modified postun syntax to eliminate an error from ldconfig

* Thu Apr 21 2005 Sander Steffann <steffann@nederland.net> 2.6-2
- Fixed packaging on RHEL and x86_64

* Wed Apr 20 2005 Sander Steffann <steffann@nederland.net> 2.6-1
- Upgrade to version 2.6

* Mon Jul 26 2004 Duncan Grisby <duncan@grisby.org> 2.4
- Bump version number to 2.4.

* Wed Nov 19 2003 Duncan Grisby <duncan@grisby.org> 2.3
- Merge contributed updates, bump version number.

* Fri Aug 08 2003 Thomas Lockhart <lockhart@fourpalms.org>
- Drop circular definition of RPM macros

* Wed Aug  6 2003 Duncan Grisby <dgrisby@apasphere.com> 2.2
- Remove clashing omniidl __init__.py. Bump version number.

* Tue Jun 10 2003 Duncan Grisby <dgrisby@apasphere.com> 2.2pre1
- Fix some text, bump version number, minor tweaks.

* Wed Apr 23 2003 Sander Steffann <sander@steffann.nl>
- Included SSL support
- Included pydistdate.hh to stop RPM from complaining

* Mon Mar 17 2003 Thomas Lockhart <lockhart@fourpalms.org> 4.0.1
- Update for current release
- Include new omniORB.pth

* Mon Jul 29 2002 Thomas Lockhart <lockhart@fourpalms.org> 4.0.0beta
- Include backend to omniidl to allow generation of Python stubs

* Fri May 24 2002 Thomas Lockhart <lockhart@fourpalms.org> 4.0.0beta
- Use autoconf as available in this new version of omniORBpy
- Assume a separate omniORB RPM has been built and installed
- Based on the single RPM for omniORB and omniORBpy from the 3.x series
